#ifndef TEST_HPP
#define TEST_HPP

#include <godot_cpp/classes/mesh_instance3d.hpp>
#include <godot_cpp/classes/node3d.hpp>

#include <godot_cpp/classes/texture2d.hpp>

using namespace godot;

class Test : public Node3D {
	GDCLASS(Test, Node3D);

protected:
	static void _bind_methods();

private:
	int i_value = 0;
	float f_value = 0.0;
	String s_value = "Hello";
	Ref<Texture2D> tex_value;

public:
	int get_i_value();
	void set_i_value(int input);

	float get_f_value();
	void set_f_value(float input);

	String get_s_value();
	void set_s_value(String s);

	Ref<Texture2D> get_tex_value();
	void set_tex_value(Ref<Texture2D> tex);
};

#endif
